#ifndef	LCDHD44780_H_
#define	LCDHD44780_H_


//******************************************************************//
//																	//
//				(C) 2017 R-MIK Sawomir Skrzyski					//
//				slawomir.skrzynski@ep.com.pl						//
//																	//
//	Programu nie mona rozpowszechnia bez pisemnej zgody autora!	//
//																	//
//******************************************************************//


/*#define	LCDLINE	4			// Liczba wierszy
#define	LCDROW	20			// Liczba kolumn
//#define	LCD8BIT			// Uycie definicji wcza tryb 8-bit
#define	LCDRW				// Uycie wcza tryb dwukierunkowy (niezaimplementowane!!!)
//#define	LCDMIROR		// Uycie tworzy w RAM kopi treci wywietlacza
#define	LcdRWddr	DDRC  |=  (1<<PC5)	// RW
#define	LcdRWset	PORTC |=  (1<<PC5)
#define	LcdRWclr	PORTC &= ~(1<<PC5)
#define	LcdRSddr	DDRC  |=  (1<<PC4)	// RS
#define	LcdRSset	PORTC |=  (1<<PC4)
#define	LcdRSclr	PORTC &= ~(1<<PC4)
#define	LcdEddr		DDRC  |=  (1<<PC6)	// E
#define	LcdEset		PORTC |=  (1<<PC6)
#define	LcdEclr		PORTC &= ~(1<<PC6)
#define	LcdD4ddr	DDRC  |=  (1<<PC0)	// D0 / D4
#define	LcdD4set	PORTC |=  (1<<PC0)
#define	LcdD4clr	PORTC &= ~(1<<PC0)
#define	LcdD5ddr	DDRC  |=  (1<<PC1)	// D1 / D5
#define	LcdD5set	PORTC |=  (1<<PC1)
#define	LcdD5clr	PORTC &= ~(1<<PC1)
#define	LcdD6ddr	DDRC  |=  (1<<PC2)	// D2 / D6
#define	LcdD6set	PORTC |=  (1<<PC2)
#define	LcdD6clr	PORTC &= ~(1<<PC2)
#define	LcdD7ddr	DDRC  |=  (1<<PC3)	// D3 / D7
#define	LcdD7set	PORTC |=  (1<<PC3)
#define	LcdD7clr	PORTC &= ~(1<<PC3)
*/


/******************************************************************/
#define	LcdDispayOn()	LcdSendCommand(0xC)
#define	LcdDisplayOff()	LcdSendCommand(0x8)
#define	LcdCursorOn()  	LcdSendCommand(0xF)	// 0xE bez migania
#define	LcdCursorOff() 	LcdSendCommand(0xC)
#define	LcdHome()  		LcdSendCommand(0x2); lcdRow=0; lcdLine=0


void LcdDataOut();
void LcdSendCommand(unsigned char command);
void LcdSendNible(unsigned char command);
void LcdSendByte(unsigned char command);
void LcdSendData(unsigned char data);
char LcdWin2Lcd(char znak);
char lcdRow=0, lcdLine=0;
char tabChar[8];
#ifdef LCDMIROR
char tabMiror[LCDLINE][LCDROW], lcdCGRAM[8*8];
#endif


#define	LCDCHAR_STOPNIE_c		0x80
#define	LCDCHAR_STOPNIE_s		"\x80"
#define	LCDCHAR_PLAY_c			0x81
#define	LCDCHAR_PLAY_s			"\x81"
#define	LCDCHAR_PAUSE_c			0x82
#define	LCDCHAR_PAUSE_s			"\x82"
#define	LCDCHAR_COPYRIGHTL_c	0x83
#define	LCDCHAR_COPYRIGHTL_s	"\x83"
#define	LCDCHAR_COPYRIGHTH_c	0x84
#define	LCDCHAR_COPYRIGHTH_s	"\x84"
#define	LCDCHAR_RESERVEDL_c		0x85
#define	LCDCHAR_RESERVEDL_s		"\x85"
#define	LCDCHAR_RESERVEDH_c		0x86
#define	LCDCHAR_RESERVEDH_s		"\x86"

extern void LcdInit();
extern void LcdPutCGRAM( byte NrZnaku, byte *wzor );
extern void LcdSetCursorPosition(unsigned char row,unsigned char line);
extern void LcdPrintString(char *text);
extern void LcdPrintString_P(char *text);
extern void LcdPrintChar(char character);
extern void LcdNextLine();
#define	LcdCls	LcdClr
extern void LcdClr();
extern void LcdCUB();

#define	InitLCD				   LcdInit
#define	PutCGRAMLCD			   LcdPutCGRAM
#define	SetCursorPositionLCD   LcdSetCursorPosition
#define	PrintStringLCD		   LcdPrintString
#define	PrintStringLCD_P	   LcdPrintString_P
#define	PrintCharLCD		   LcdPrintChar
#define	NextLineLCD			   LcdNextLine
#define	ClsLCD				   LcdCls
#define	ClrLCD				   LcdClr



//-----------------------------------------------------------------
#endif


