

//	(C) 2017 R-MIK Sawomir Skrzyski
//	slawomir.skrzynski@ep.com.pl


//----------------------------------------------------------------------//
#define	sprintf_AVRName		sprintf_avrname
#define	sprintf_AVRname		sprintf_avrname
#define	sprintf_AvrName		sprintf_avrname


//======================================================================//
byte sprintf_avrname( char *txt );


//======================================================================//
byte sprintf_avrname( char *txt )
{
byte res = TRUE;

#if defined (__AVR_AT94K__)
strcpy_P( txt, PSTR( "AT94K" ) );
#elif defined (__AVR_AT43USB320__)
strcpy_P( txt, PSTR( "AT43USB320" ) );
#elif defined (__AVR_AT43USB355__)
strcpy_P( txt, PSTR( "AT43USB355" ) );
#elif defined (__AVR_AT76C711__)
strcpy_P( txt, PSTR( "AT76C711" ) );
#elif defined (__AVR_AT86RF401__)
strcpy_P( txt, PSTR( "AT86RF401" ) );
#elif defined (__AVR_AT90PWM1__)
strcpy_P( txt, PSTR( "AT90PWM1" ) );
#elif defined (__AVR_AT90PWM2__)
strcpy_P( txt, PSTR( "AT90PWM2" ) );
#elif defined (__AVR_AT90PWM2B__)
strcpy_P( txt, PSTR( "AT90PWM2B" ) );
#elif defined (__AVR_AT90PWM3__)
strcpy_P( txt, PSTR( "AT90PWM3" ) );
#elif defined (__AVR_AT90PWM3B__)
strcpy_P( txt, PSTR( "AT90PWM3B" ) );
#elif defined (__AVR_AT90PWM216__)
strcpy_P( txt, PSTR( "AT90PWM16" ) );
#elif defined (__AVR_AT90PWM316__)
strcpy_P( txt, PSTR( "AT90PWM316" ) );
#elif defined (__AVR_AT90PWM81__)
strcpy_P( txt, PSTR( "AT90PWM81" ) );
#elif defined (__AVR_ATmega8U2__)
strcpy_P( txt, PSTR( "ATmega8U2" ) );
#elif defined (__AVR_ATmega16M1__)
strcpy_P( txt, PSTR( "ATmega16M1" ) );
#elif defined (__AVR_ATmega16U2__)
strcpy_P( txt, PSTR( "ATmega16U2" ) );
#elif defined (__AVR_ATmega16U4__)
strcpy_P( txt, PSTR( "ATmega16U4" ) );
#elif defined (__AVR_ATmega32C1__)
strcpy_P( txt, PSTR( "ATmega32C1" ) );
#elif defined (__AVR_ATmega32M1__)
strcpy_P( txt, PSTR( "ATmega32M1" ) );
#elif defined (__AVR_ATmega32U2__)
strcpy_P( txt, PSTR( "ATmega32U2" ) );
#elif defined (__AVR_ATmega32U4__)
strcpy_P( txt, PSTR( "ATmega32U4" ) );
#elif defined (__AVR_ATmega32U6__)
strcpy_P( txt, PSTR( "ATmega32U6" ) );
#elif defined (__AVR_ATmega64C1__)
strcpy_P( txt, PSTR( "ATmega64C1" ) );
#elif defined (__AVR_ATmega64M1__)
strcpy_P( txt, PSTR( "ATmega64M1" ) );
#elif defined (__AVR_ATmega128__)
strcpy_P( txt, PSTR( "ATmega128" ) );
#elif defined (__AVR_ATmega1280__)
strcpy_P( txt, PSTR( "ATmega1280" ) );
#elif defined (__AVR_ATmega1281__)
strcpy_P( txt, PSTR( "ATmega1281" ) );
#elif defined (__AVR_ATmega1284P__)
strcpy_P( txt, PSTR( "ATmega1284" ) );
#elif defined (__AVR_ATmega128RFA1__)
strcpy_P( txt, PSTR( "ATmega128RFA1" ) );
#elif defined (__AVR_ATmega2560__)
strcpy_P( txt, PSTR( "ATmega2560" ) );
#elif defined (__AVR_ATmega2561__)
strcpy_P( txt, PSTR( "ATmega2561" ) );
#elif defined (__AVR_AT90CAN32__)
strcpy_P( txt, PSTR( "AT90CAN32" ) );
#elif defined (__AVR_AT90CAN64__)
strcpy_P( txt, PSTR( "AT90CAN64" ) );
#elif defined (__AVR_AT90CAN128__)
strcpy_P( txt, PSTR( "AT90CAN128" ) );
#elif defined (__AVR_AT90USB82__)
strcpy_P( txt, PSTR( "AT90USB82" ) );
#elif defined (__AVR_AT90USB162__)
strcpy_P( txt, PSTR( "AT90USB162" ) );
#elif defined (__AVR_AT90USB646__)
strcpy_P( txt, PSTR( "AT90USB646" ) );
#elif defined (__AVR_AT90USB647__)
strcpy_P( txt, PSTR( "AT90USB647" ) );
#elif defined (__AVR_AT90USB1286__)
strcpy_P( txt, PSTR( "AT90USB1286" ) );
#elif defined (__AVR_AT90USB1287__)
strcpy_P( txt, PSTR( "AT90USB1287" ) );
#elif defined (__AVR_ATmega64__) || defined (__AVR_ATmega640__)
strcpy_P( txt, PSTR( "ATmega64" ) );
#elif defined (__AVR_ATmega644__) || defined (__AVR_ATmega644A__) || defined (__AVR_ATmega644P__) || defined (__AVR_ATmega644PA__)
strcpy_P( txt, PSTR( "ATmega644" ) );
#elif defined (__AVR_ATmega645__) || defined (__AVR_ATmega645A__) || defined (__AVR_ATmega645P__)
strcpy_P( txt, PSTR( "ATmega645" ) );
#elif defined (__AVR_ATmega6450__) || defined (__AVR_ATmega6450A__) || defined (__AVR_ATmega6450P__)
strcpy_P( txt, PSTR( "ATmega6450" ) );
#elif defined (__AVR_ATmega649__) || defined (__AVR_ATmega649A__)
strcpy_P( txt, PSTR( "ATmega649" ) );
#elif defined (__AVR_ATmega6490__) || defined (__AVR_ATmega6490A__) || defined (__AVR_ATmega6490P__)
strcpy_P( txt, PSTR( "ATmega6490" ) );
#elif defined (__AVR_ATmega649P__)
strcpy_P( txt, PSTR( "ATmega649P" ) );
#elif defined (__AVR_ATmega64HVE__)
strcpy_P( txt, PSTR( "ATmega64HVE" ) );
#elif defined (__AVR_ATmega103__)
strcpy_P( txt, PSTR( "ATmega102" ) );
#elif defined (__AVR_ATmega32__)
strcpy_P( txt, PSTR( "ATmega32" ) );
#elif defined (__AVR_ATmega323__)
strcpy_P( txt, PSTR( "ATmega323" ) );
#elif defined (__AVR_ATmega324P__) || defined (__AVR_ATmega324A__) || defined (__AVR_ATmega324PA__)
strcpy_P( txt, PSTR( "ATmega324" ) );
#elif defined (__AVR_ATmega325__) || defined (__AVR_ATmega325P__)
strcpy_P( txt, PSTR( "ATmega325" ) );
#elif defined (__AVR_ATmega3250__) || defined (__AVR_ATmega3250P__)
strcpy_P( txt, PSTR( "ATmega3250" ) );
#elif defined (__AVR_ATmega328P__) || defined (__AVR_ATmega328__)
strcpy_P( txt, PSTR( "ATmega328" ) );
#elif defined (__AVR_ATmega329__) || defined (__AVR_ATmega329P__) || defined (__AVR_ATmega329PA__)
strcpy_P( txt, PSTR( "ATmega329" ) );
#elif defined (__AVR_ATmega3290__) || defined (__AVR_ATmega3290P__)
strcpy_P( txt, PSTR( "ATmega3290" ) );
#elif defined (__AVR_ATmega32HVB__)
strcpy_P( txt, PSTR( "ATmega32HVB" ) );
#elif defined (__AVR_ATmega406__)
strcpy_P( txt, PSTR( "ATmega406" ) );
#elif defined (__AVR_ATmega16__) || defined (__AVR_ATmega16A__)
strcpy_P( txt, PSTR( "ATmega16" ) );
#elif defined (__AVR_ATmega161__)
strcpy_P( txt, PSTR( "ATmega161" ) );
#elif defined (__AVR_ATmega162__)
strcpy_P( txt, PSTR( "ATmega162" ) );
#elif defined (__AVR_ATmega163__)
strcpy_P( txt, PSTR( "ATmega163" ) );
#elif defined (__AVR_ATmega164P__) || defined (__AVR_ATmega164A__)
strcpy_P( txt, PSTR( "ATmega164" ) );
#elif defined (__AVR_ATmega165__) || defined (__AVR_ATmega165A__) || defined (__AVR_ATmega165P__)
strcpy_P( txt, PSTR( "ATmega165" ) );
#elif defined (__AVR_ATmega168__) || defined (__AVR_ATmega168A__) || defined (__AVR_ATmega168P__)
strcpy_P( txt, PSTR( "ATmega168" ) );
#elif defined (__AVR_ATmega169__) || defined (__AVR_ATmega169A__) || defined (__AVR_ATmega169P__) || defined (__AVR_ATmega169PA__)
strcpy_P( txt, PSTR( "ATmega169" ) );
#elif defined (__AVR_ATmega8HVA__)
strcpy_P( txt, PSTR( "ATmega8HVA" ) );
#elif defined (__AVR_ATmega16HVA__)
strcpy_P( txt, PSTR( "ATmega16HVA" ) );
#elif defined (__AVR_ATmega16HVA2__)
strcpy_P( txt, PSTR( "ATmega16HVA2" ) );
#elif defined (__AVR_ATmega16HVB__)
strcpy_P( txt, PSTR( "ATmega16HVB" ) );
#elif defined (__AVR_ATmega8__)
strcpy_P( txt, PSTR( "ATmega8" ) );
#elif defined (__AVR_ATmega48__) || defined (__AVR_ATmega48A__) || defined (__AVR_ATmega48P__)
strcpy_P( txt, PSTR( "ATmega48" ) );
#elif defined (__AVR_ATmega88__) || defined (__AVR_ATmega88A__) || defined (__AVR_ATmega88P__) || defined (__AVR_ATmega88PA__)
strcpy_P( txt, PSTR( "ATmega88" ) );
#elif defined (__AVR_ATmega8515__)
strcpy_P( txt, PSTR( "ATmega8515" ) );
#elif defined (__AVR_ATmega8535__)
strcpy_P( txt, PSTR( "ATmega8525" ) );
#elif defined (__AVR_AT90S8535__)
strcpy_P( txt, PSTR( "AT90S8515" ) );
#elif defined (__AVR_AT90C8534__)
strcpy_P( txt, PSTR( "AT90C8534" ) );
#elif defined (__AVR_AT90S8515__)
strcpy_P( txt, PSTR( "AT90S8515" ) );
#elif defined (__AVR_AT90S4434__)
strcpy_P( txt, PSTR( "AT90S4434" ) );
#elif defined (__AVR_AT90S4433__)
strcpy_P( txt, PSTR( "AT90S4433" ) );
#elif defined (__AVR_AT90S4414__)
strcpy_P( txt, PSTR( "AT90S4414" ) );
#elif defined (__AVR_ATtiny22__)
strcpy_P( txt, PSTR( "ATtiny22" ) );
#elif defined (__AVR_ATtiny26__)
strcpy_P( txt, PSTR( "ATtiny26" ) );
#elif defined (__AVR_AT90S2343__)
strcpy_P( txt, PSTR( "ATtiny343" ) );
#elif defined (__AVR_AT90S2333__)
strcpy_P( txt, PSTR( "AT90S2333" ) );
#elif defined (__AVR_AT90S2323__)
strcpy_P( txt, PSTR( "AT90S2323" ) );
#elif defined (__AVR_AT90S2313__)
strcpy_P( txt, PSTR( "AT90S2313" ) );
#elif defined (__AVR_ATtiny2313__) || defined (__AVR_ATtiny2313A__)
strcpy_P( txt, PSTR( "ATtiny2313" ) );
#elif defined (__AVR_ATtiny13__) || defined (__AVR_ATtiny13A__)
strcpy_P( txt, PSTR( "ATtiny13" ) );
#elif defined (__AVR_ATtiny25__)
strcpy_P( txt, PSTR( "ATtiny25" ) );
#elif defined (__AVR_ATtiny4313__)
strcpy_P( txt, PSTR( "ATtiny4313" ) );
#elif defined (__AVR_ATtiny45__)
strcpy_P( txt, PSTR( "ATtiny45" ) );
#elif defined (__AVR_ATtiny85__)
strcpy_P( txt, PSTR( "ATtiny85" ) );
#elif defined (__AVR_ATtiny24__) || defined (__AVR_ATtiny24A__)
strcpy_P( txt, PSTR( "ATtiny24" ) );
#elif defined (__AVR_ATtiny44__) || defined (__AVR_ATtiny44A__)
strcpy_P( txt, PSTR( "ATtiny44" ) );
#elif defined (__AVR_ATtiny84__)
strcpy_P( txt, PSTR( "ATtiny84" ) );
#elif defined (__AVR_ATtiny261__) || defined (__AVR_ATtiny261A__)
strcpy_P( txt, PSTR( "ATtiny261" ) );
#elif defined (__AVR_ATtiny461__) || defined (__AVR_ATtiny461A__)
strcpy_P( txt, PSTR( "ATtiny461" ) );
#elif defined (__AVR_ATtiny861__) || defined (__AVR_ATtiny861A__)
strcpy_P( txt, PSTR( "ATtiny861" ) );
#elif defined (__AVR_ATtiny43U__)
strcpy_P( txt, PSTR( "ATtiny43U" ) );
#elif defined (__AVR_ATtiny48__)
strcpy_P( txt, PSTR( "ATtiny48" ) );
#elif defined (__AVR_ATtiny88__)
strcpy_P( txt, PSTR( "ATtiny88" ) );
#elif defined (__AVR_ATtiny87__)
strcpy_P( txt, PSTR( "ATtiny87" ) );
#elif defined (__AVR_ATtiny167__)
strcpy_P( txt, PSTR( "ATtiny167" ) );
#elif defined (__AVR_AT90SCR100__)
strcpy_P( txt, PSTR( "AT90SCR100" ) );
#elif defined (__AVR_ATxmega16A4__)
strcpy_P( txt, PSTR( "ATxmega16A4" ) );
#elif defined (__AVR_ATxmega16D4__)
strcpy_P( txt, PSTR( "ATxmega16D4" ) );
#elif defined (__AVR_ATxmega32A4__)
strcpy_P( txt, PSTR( "ATxmega32A4" ) );
#elif defined (__AVR_ATxmega32D4__)
strcpy_P( txt, PSTR( "ATxmega32D4" ) );
#elif defined (__AVR_ATxmega64A1__)
strcpy_P( txt, PSTR( "ATxmega64A1" ) );
#elif defined (__AVR_ATxmega64A3__)
strcpy_P( txt, PSTR( "ATxmega64A3" ) );
#elif defined (__AVR_ATxmega64D3__)
strcpy_P( txt, PSTR( "ATxmega64D3" ) );
#elif defined (__AVR_ATxmega128A1__)
strcpy_P( txt, PSTR( "ATxmega128A1" ) );
#elif defined (__AVR_ATxmega128A3__)
strcpy_P( txt, PSTR( "ATxmega128A3" ) );
#elif defined (__AVR_ATxmega128D3__)
strcpy_P( txt, PSTR( "ATxmega128D3" ) );
#elif defined (__AVR_ATxmega192A3__)
strcpy_P( txt, PSTR( "ATxmega192A3" ) );
#elif defined (__AVR_ATxmega192D3__)
strcpy_P( txt, PSTR( "ATxmega192D3" ) );
#elif defined (__AVR_ATxmega256A3__)
strcpy_P( txt, PSTR( "ATxmega256A3" ) );
#elif defined (__AVR_ATxmega256A3B__)
strcpy_P( txt, PSTR( "ATxmega256A3B" ) );
#elif defined (__AVR_ATxmega256D3__)
strcpy_P( txt, PSTR( "ATxmega256D3" ) );
#elif defined (__AVR_ATA6289__)
strcpy_P( txt, PSTR( "ATA6289" ) );
/* avr1: the following only supported for assembler programs */
#elif defined (__AVR_ATtiny28__)
strcpy_P( txt, PSTR( "ATtiny28" ) );
#elif defined (__AVR_AT90S1200__)
strcpy_P( txt, PSTR( "AT90S1200" ) );
#elif defined (__AVR_ATtiny15__)
strcpy_P( txt, PSTR( "ATtiny15" ) );
#elif defined (__AVR_ATtiny12__)
strcpy_P( txt, PSTR( "ATtiny12" ) );
#elif defined (__AVR_ATtiny11__)
strcpy_P( txt, PSTR( "ATtiny11" ) );
#else
sprintf_P( txt, PSTR( "AVR %02%02X%02X" ), SIGNATURE_0, SIGNATURE_1, SIGNATURE_2 );
res = false;
#endif


return( res );
}

//======================================================================//
